<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'advertisement',

    /*
     * Modules.
     */
    'modules'   => ['advertisement'],

    
    'advertisement'       => [
        'model' => [
            'model' => \Litepie\Advertisement\Models\Advertisement::class,
            'repository' => \Litepie\Advertisement\Repositories\Eloquent\AdvertisementRepository::class,
            'table' => 'advertisements',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'user_id',  'advertisement_type',  'category_id',  'subcategory_id',  'type',  'title',  'slug',  'images',  'conditions',  'price',  'negotiable',  'brand',  'additional_features',  'model',  'description',  'location',  'seller_condition',  'seller_name',  'seller_email',  'seller_mobile',  'seller_address',  'upload_folder',  'latitude',  'longitude',  'status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'advertisement/advertisement',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litepie',
            'package' => 'Advertisement',
            'module' => 'Advertisement',
        ],
    ],
];
