<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAdvertisementsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: advertisements
         */
        Schema::create('advertisements', function ($table) {
            $table->increments('id');
            $table->tinyInteger('user_id')->nullable();
            $table->string('advertisement_type', 8)->nullable();
            $table->tinyInteger('category_id')->nullable();
            $table->tinyInteger('subcategory_id')->nullable();
            $table->string('type', 4)->nullable();
            $table->string('title', 20)->nullable();
            $table->string('slug', 20)->nullable();
            $table->text('images')->nullable();
            $table->string('conditions', 4)->nullable();
            $table->integer('price')->nullable();
            $table->string('negotiable', 3)->nullable();
            $table->string('brand', 11)->nullable();
            $table->string('additional_features', 124)->nullable();
            $table->string('model', 13)->nullable();
            $table->text('description')->nullable();
            $table->string('location', 9)->nullable();
            $table->string('seller_condition', 10)->nullable();
            $table->string('seller_name', 7)->nullable();
            $table->string('seller_email', 17)->nullable();
            $table->string('seller_mobile', 12)->nullable();
            $table->string('seller_address', 22)->nullable();
            $table->string('upload_folder', 50)->nullable();
            $table->decimal('latitude', 7,5)->nullable();
            $table->decimal('longitude', 6,4)->nullable();
            $table->string('status', 9)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('advertisements');
    }
}
