<?php

namespace Litepie\Advertisement\Forms;

use Litepie\Form\FormInterpreter;

class Advertisement extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('advertisement/advertisement/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('advertisement/advertisement/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('advertisement/advertisement'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.name'),
                "placeholder" => trans('advertisement::advertisement.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('advertisement::advertisement.label.created_at'),
            'name' => trans('advertisement::advertisement.label.name'),
            'status' => trans('advertisement::advertisement.label.status'),
        ];
        self::$groups = [
            'main' => trans('advertisement::advertisement.groups.main'),
            'details' => trans('advertisement::advertisement.groups.details'),
            'images' => trans('advertisement::advertisement.groups.images'),
            'settings' => trans('advertisement::advertisement.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('advertisement::advertisement.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('advertisement::advertisement.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('advertisement::advertisement.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('advertisement::advertisement.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'advertisement_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.advertisement_type'),
                "placeholder" => trans('advertisement::advertisement.placeholder.advertisement_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.category_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.category_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subcategory_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.subcategory_id'),
                "placeholder" => trans('advertisement::advertisement.placeholder.subcategory_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.type'),
                "placeholder" => trans('advertisement::advertisement.placeholder.type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.title'),
                "placeholder" => trans('advertisement::advertisement.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.images'),
                "placeholder" => trans('advertisement::advertisement.placeholder.images'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'conditions' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.conditions'),
                "placeholder" => trans('advertisement::advertisement.placeholder.conditions'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'price' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('advertisement::advertisement.label.price'),
                "placeholder" => trans('advertisement::advertisement.placeholder.price'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'negotiable' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.negotiable'),
                "placeholder" => trans('advertisement::advertisement.placeholder.negotiable'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'brand' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.brand'),
                "placeholder" => trans('advertisement::advertisement.placeholder.brand'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'additional_features' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.additional_features'),
                "placeholder" => trans('advertisement::advertisement.placeholder.additional_features'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'model' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.model'),
                "placeholder" => trans('advertisement::advertisement.placeholder.model'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.description'),
                "placeholder" => trans('advertisement::advertisement.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'location' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.location'),
                "placeholder" => trans('advertisement::advertisement.placeholder.location'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'seller_condition' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.seller_condition'),
                "placeholder" => trans('advertisement::advertisement.placeholder.seller_condition'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'seller_name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.seller_name'),
                "placeholder" => trans('advertisement::advertisement.placeholder.seller_name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'seller_email' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.seller_email'),
                "placeholder" => trans('advertisement::advertisement.placeholder.seller_email'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'seller_mobile' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.seller_mobile'),
                "placeholder" => trans('advertisement::advertisement.placeholder.seller_mobile'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'seller_address' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('advertisement::advertisement.label.seller_address'),
                "placeholder" => trans('advertisement::advertisement.placeholder.seller_address'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'latitude' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('advertisement::advertisement.label.latitude'),
                "placeholder" => trans('advertisement::advertisement.placeholder.latitude'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'longitude' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('advertisement::advertisement.label.longitude'),
                "placeholder" => trans('advertisement::advertisement.placeholder.longitude'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
