<?php

namespace Litepie\Advertisement\Repositories\Eloquent;

use Litepie\Advertisement\Interfaces\AdvertisementRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Advertisement\Repositories\Eloquent\Presenters\AdvertisementItemPresenter;


class AdvertisementRepository extends BaseRepository implements AdvertisementRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.advertisement.advertisement.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.advertisement.advertisement.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return AdvertisementItemPresenter::class;
    }
}
