<?php

namespace Litepie\Advertisement\Workflow;

use Litepie\Advertisement\Models\Advertisement;
use Litepie\Advertisement\Notifications\AdvertisementWorkflow as AdvertisementNotifyer;
use Notification;

class AdvertisementNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Advertisement $advertisement
     *
     * @return void
     */
    public function complete(Advertisement $advertisement)
    {
        return Notification::send($advertisement->user, new AdvertisementNotifyer($advertisement, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Advertisement $advertisement
     *
     * @return void
     */
    public function verify(Advertisement $advertisement)
    {
        return Notification::send($advertisement->user, new AdvertisementNotifyer($advertisement, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Advertisement $advertisement
     *
     * @return void
     */
    public function approve(Advertisement $advertisement)
    {
        return Notification::send($advertisement->user, new AdvertisementNotifyer($advertisement, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Advertisement $advertisement
     *
     * @return void
     */
    public function publish(Advertisement $advertisement)
    {
        return Notification::send($advertisement->user, new AdvertisementNotifyer($advertisement, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Advertisement $advertisement
     *
     * @return void
     */
    public function archive(Advertisement $advertisement)
    {
        return Notification::send($advertisement->user, new AdvertisementNotifyer($advertisement, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Advertisement $advertisement
     *
     * @return void
     */
    public function unpublish(Advertisement $advertisement)
    {
        return Notification::send($advertisement->user, new AdvertisementNotifyer($advertisement, 'unpublish'));;

    }
}
